Subject: Re: Still Recommend FT2000E plunge router as the best???

From: [email-masked] (Steve Rimar)
Date: Fri, 07 Feb 97 23:05:11 EST

In article <[email-masked]>
[email-masked] (Sra817) writes:
 
>I just bought the FT2000E myself and haven't used it much, but I do own
>alot of 1/4 inch bits. You say it "spits out these bits". Man!, I hope my
>doesn't.
>Are you aligning the slits in the 1/4 inch collet  with the slits in the
>1/2 inch collet as per instruction booklet?
 
I have had this router over a year with no problems. Never had a 1/4" bit
come out. The router is in a table and used hand held. If you don't like the
1/4" adapter get a true 1/4" collet from Freud. Keep the router clean and
make sure sawdust does not build up in the collet. The router should last
a long time if maintained.